#define CODETOKEYS_SIZE 0x100

const unsigned short CodesToKeys[CODETOKEYS_SIZE]={
	/* 0x00 */ 0, KEY_A, 0, KEY_B, 0, KEY_C, 0, KEY_D,
	/* 0x08 */ 0, KEY_E, 0, KEY_F, 0, KEY_G, 0, KEY_H,
	/* 0x10 */ 0, KEY_I, 0, KEY_J, 0, KEY_K, 0, KEY_L,
	/* 0x18 */ 0, KEY_M, 0, KEY_N, 0, KEY_O, 0, KEY_P,
	/* 0x20 */ 0, KEY_Q, 0, KEY_R, 0, KEY_S, 0, KEY_T,
	/* 0x28 */ 0, KEY_U, 0, KEY_V, 0, KEY_W, 0, KEY_X,
	/* 0x30 */ 0, KEY_Y, 0, KEY_Z, 0, KEY_1, 0, KEY_2,
	/* 0x38 */ 0, KEY_3, 0, KEY_4, 0, KEY_5, 0, KEY_6,
	/* 0x40 */ 0, KEY_7, 0, KEY_8, 0, KEY_9, 0, KEY_0,
	/* 0x48 */ 0, KEY_MINUS, 0, KEY_EQUAL, 0, KEY_BACKSPACE, 0, KEY_LEFTBRACE,
	/* 0x50 */ 0, KEY_RIGHTBRACE, 0, KEY_BACKSLASH, 0, KEY_SEMICOLON, 0, KEY_APOSTROPHE,
	/* 0x58 */ 0, KEY_ENTER, 0, KEY_COMMA, 0, KEY_DOT, 0, KEY_SLASH,
	/* 0x60 */ 0, KEY_RIGHTSHIFT, 0, KEY_LEFTSHIFT, 0, KEY_TAB, 0, KEY_CAPSLOCK,
	/* 0x68 */ 0, KEY_BRIGHTNESSUP, 0, KEY_BRIGHTNESSDOWN, 0, KEY_MEDIA, 0, KEY_LEFTCTRL,
	/* 0x70 */ 0, KEY_LEFTALT, 0, KEY_SPACE, 0, KEY_RIGHTALT, 0, KEY_GRAVE,
	/* 0x78 */ 0, KEY_RIGHTCTRL, 0, KEY_LEFT, 0, KEY_DOWN, 0, KEY_RIGHT,
	/* 0x80 */ 0, KEY_UP, 0, KEY_END, 0, KEY_PAGEDOWN, 0, KEY_PAGEUP,
	/* 0x88 */ 0, KEY_HOME, 0, KEY_XFER, 0, KEY_NUMLOCK, 0, KEY_PRINT,
	/* 0x90 */ 0, KEY_F13, 0, KEY_F12, 0, KEY_F11, 0, KEY_F10,
	/* 0x98 */ 0, KEY_F9, 0, KEY_F8, 0, KEY_ESC, 0, KEY_F1,
	/* 0xa0 */ 0, KEY_F2, 0, KEY_F3, 0, KEY_F4, 0, KEY_F5,
	/* 0xa8 */ 0, KEY_F6, 0, KEY_F7, 0, 0, 0, 0,
	/* 0xb0 */ 0, 0, 0, 0, 0, 0, 0, 0,
	/* 0xb8 */ 0, 0, 0, 0, 0, 0, 0, 0,
	/* 0xc0 */ 0, 0, 0, 0, 0, 0, 0, 0,
	/* 0xc8 */ 0, 0, 0, 0, 0, 0, 0, 0,
	/* 0xd0 */ 0, 0, 0, 0, 0, 0, 0, 0,
	/* 0xd8 */ 0, 0, 0, 0, 0, 0, 0, 0,
	/* 0xe0 */ 0, 0, 0, 0, 0, 0, 0, 0,
	/* 0xe8 */ 0, 0, 0, 0, 0, 0, 0, 0,
	/* 0xf0 */ 0, 0, 0, 0, 0, 0, 0, 0,
	/* 0xf8 */ 0, 0, 0, 0, 0, 0, 0, 0
};

// vi:nowrap:

