#!/usr/bin/perl

my @Keys;

sub PrintHeader {
	print "\n#define CODETOKEYS_SIZE 0x100\n\nconst unsigned short CodesToKeys[CODETOKEYS_SIZE]={";
}

sub PrintFooter {
	print "\n};\n\n";
	print "const char RemoteName[]=\"WebPal_Keyboard\";\n\n";
}

sub EraseKeys {
my	$i;
	for ($i=0; $i<256; $i++) {
		@Keys[$i] = 0;
	}
}

sub DumpKeys {
my $i;
	for ($i=0; $i<256; $i++) {
		if ($i % 8 == 0) {
			printf "\n	/* 0x%02x */", $i;
		};
		print " ".@Keys[$i];
		if ($i+1 < 256) { print "," };
	}	
}

sub GrabKey {
#0000000000000001 00 a WebPal_Keyboard
my @parts = split(/ /, $_[0]);
my $CodeStr = "0x".@parts[0];
my $Code = hex $CodeStr;
my $KeyCode = @parts[2];
	$KeyCode =~ tr/a-z/A-Z/;
	@Keys[$Code] = $KeyCode;
}

	PrintHeader();
	EraseKeys();
	while (<STDIN>) {
		GrabKey($_);
	}
	DumpKeys();
	PrintFooter();

